Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.util
Class BrowserControl

    java.lang.Object
      com.compoze.util.BrowserControl

public class BrowserControl
extends java.lang.Object

A simple, static class to display a URL in the system browser. Under Unix, the system browser is hard-coded to be 'netscape'. Netscape must be in your PATH for this to work. This has been tested with the following platforms: AIX, HP-UX and Solaris. Under Windows, this will bring up the default browser under windows, usually either Netscape or Microsoft IE. The default browser is determined by the OS. This has been tested under Windows 95/98/NT. Examples: BrowserControl.displayURL("http://www.javaworld.com") BrowserControl.displayURL("file://c:\\docs\\index.html") BrowserContorl.displayURL("file:///user/joe/index.html"); Note - you must include the url type -- either "http://" or "file://".

Constructor Summary
`BrowserControl()`

Method Summary
`static void` | `displayURL(java.lang.String url)` Display a file in the system browser.
`static boolean` | `isWindowsPlatform()` Try to determine whether this application is running under Windows or some other platform by examing the "os.name" property.
`static void` | `main(java.lang.String[] args)` Simple example.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BrowserControl

    public BrowserControl()

Method Detail

### displayURL

    public static void displayURL(java.lang.String url)

  Display a file in the system browser. If you want to display a file, you must include the absolute path name.

  Parameters:
    `url` - the file's url (the url must start with either "http://" or "file://").

### isWindowsPlatform

    public static boolean isWindowsPlatform()

  Try to determine whether this application is running under Windows or some other platform by examing the "os.name" property.

  Returns:
    true if this application is running under a Windows OS

### main

    public static void main(java.lang.String[] args)

  Simple example.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.